Attach a skill to my agent
POST
/v1/workspaces/{workspaceId}/agent-skills
const url = 'https://shareout.site/v1/workspaces/example/agent-skills';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"skill_artifact_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/workspaces/example/agent-skills \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "skill_artifact_id": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Workspace ID or slug.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
skill_artifact_id
required
string
Examplegenerated
{ "skill_artifact_id": "example"}Responses
Section titled “Responses”Attached
Limit reached or already attached
